package com.qmth.themis.business.enums;

/**
 * @Description: mq tag enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/28
 */
public enum MqTagEnum {

    WEB("会话web标签", "用户session", "normal", 0),
    WIN("会话win标签", "用户session", "normal", 1),
    MAC("会话mac标签", "用户session", "normal", 2),
    WXAPP("会话wxapp标签", "用户session", "normal", 3),
    IOS("会话ios标签", "用户session", "normal", 4),
    ANDROID("会话android标签", "用户session", "normal", 5),
    USER("用户轨迹user标签", "用户轨迹", "normal", 6),
    STUDENT("用户轨迹student标签", "考生轨迹", "normal", 7),
    EXAM_STUDENT_IMPORT("考生导入任务标签", "考生导入任务", "normal", 8),
    ROOM_CODE_EXPORT("考场导出任务标签", "考场导出任务", "normal", 9),
    ROOM_CODE_IMPORT("考场导入任务标签", "考场导入任务", "normal", 10),
    EXAM_PAPER_IMPORT("试卷导入任务标签", "试卷导入任务", "normal", 11),
    OE_IM_CLUSTERING("websocket客户端点对点发送消息标签", "客户端点对点消息", "normal", 12),
    OE_IM_BROADCASTING("websocket客户端广播发送消息标签", "客户端广播消息", "normal", 13),
    OE_MONITOR_FINISH("websocket客户端监考强制离线(交卷)标签", "监考强制离线(交卷)", "normal", 14),
    OE_WARNING_FINISH("websocket客户端预警强制离线(交卷)标签", "预警强制离线(交卷)", "normal", 15),
    OE_HARD_FINISH("websocket客户端手动(交卷)标签", "手动(交卷)", "normal", 16),
    OE_LIVENESS_VERIFY("websocket客户端监考强制活体验证标签", "监考强制活体验证", "normal", 17),
    OE_UN_NORMAL("websocket超时退出标签", "websocket超时退出超时退出", "delay", 18),
    EXAM_ACTIVITY("考场一次性延时任务标签", "考场一次性延时任务", "normal", 19),
    QUARTZ("quartz标签", "quartz任务", "normal", 20),
    CALCULATE_OBJECTIVE_SCORE("计算客观分标签", "计算客观分", "normal", 21),
    FACE_VERIFY_SAVE("人脸验证保存", "人脸验证", "normal", 22),
    LIVENESS_VERIFY_SAVE("活体验证保存", "活体验证", "normal", 23),
    EXAM_RECORD_PERSISTED("考试记录数据持久化", "考试", "normal", 24),
    EXAM_RECORD_UPDATE("考试记录数据更新", "考试", "normal", 25),
    EXAM_RECORD_INIT("考试记录数据初始化", "考试", "normal", 26),
    WARNING_LOG("预警标签", "预警", "normal", 27),
    EXCEPTION_LOG("异常标签", "异常", "normal", 28),
    MONITOR_LOG("监考监控标签", "监考监控", "normal", 29),
    EXAM_SCORE_CALCULATE("重新算分", "考试", "normal", 30);

    private MqTagEnum(String desc, String code, String type, int id) {
        this.desc = desc;
        this.code = code;
        this.type = type;
        this.id = id;
    }

    private String code;//留痕描述

    private String desc;//标签

    private String type;//消息类型，normal：正常消息，delay：延时消息，transactional：事务消息

    private int id;

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public String getType() {
        return type;
    }

    public int getId() {
        return id;
    }
}
