package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.bean.backend.ReexamListDoneBean;
import com.qmth.themis.business.bean.backend.ReexamListNotDoneBean;
import com.qmth.themis.business.bean.backend.ReexamListRequestBean;
import com.qmth.themis.business.entity.TEExamReexam;

import java.util.Map;

/**
 * @Description: 考生重考处理 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TEExamReexamService extends IService<TEExamReexam> {

    /**
     * 重考申请列表
     *
     * @param iPage
     * @param examId
     * @param examActivityId
     * @param roomCode
     * @param courseCode
     * @param name
     * @param identity
     * @param userId
     * @return
     */
    public IPage<ReexamListRequestBean> reexamPageRequestList(IPage<Map> iPage, Long examId,
                                                              Long examActivityId,
                                                              String roomCode,
                                                              String courseCode,
                                                              String name,
                                                              String identity,
                                                              Long userId);

    /**
     * 重考待审列表
     *
     * @param iPage
     * @param examId
     * @param examActivityId
     * @param roomCode
     * @param courseCode
     * @param name
     * @param identity
     * @param reason
     * @param reasonStartTime
     * @param reasonEndTime
     * @param applyName
     * @param userId
     * @return
     */
    public IPage<ReexamListNotDoneBean> reexamPageNotDoneList(IPage<Map> iPage, Long examId,
                                                              Long examActivityId,
                                                              String roomCode,
                                                              String courseCode,
                                                              String name,
                                                              String identity,
                                                              String reason,
                                                              String reasonStartTime,
                                                              String reasonEndTime,
                                                              String applyName,
                                                              Long userId);

    /**
     * 重考待审提醒
     *
     * @param examId
     * @param userId
     * @return
     */
    public Integer reexamPageNotDoneCount(Long examId, Long userId);

    /**
     * 重考已审列表
     *
     * @param iPage
     * @param examId
     * @param examActivityId
     * @param roomCode
     * @param courseCode
     * @param name
     * @param identity
     * @param auditingStatus
     * @param reasonStartTime
     * @param reasonEndTime
     * @param applyName
     * @param userId
     * @return
     */
    public IPage<ReexamListDoneBean> reexamPageDoneList(IPage<Map> iPage, Long examId,
                                                        Long examActivityId,
                                                        String roomCode,
                                                        String courseCode,
                                                        String name,
                                                        String identity,
                                                        Integer auditingStatus,
                                                        String reasonStartTime,
                                                        String reasonEndTime,
                                                        String applyName,
                                                        Long userId);
}
