package com.qmth.themis.mq.service;

import com.qmth.themis.business.dto.MqDto;

/**
 * @Description: mq执行逻辑
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/31
 */
public interface MqLogicService {

    /**
     * mq最大重试次数逻辑
     *
     * @param mqDto
     * @param key
     */
    public void execMqMaxReconsumeTime(MqDto mqDto, String key);

    /**
     * 用户轨迹逻辑
     *
     * @param mqDto
     * @param key
     */
    public void execMqUserLogLogic(MqDto mqDto, String key);

    /**
     * session逻辑
     *
     * @param mqDto
     * @param key
     */
    public void execMqSessionLogic(MqDto mqDto, String key);

    /**
     * task逻辑
     *
     * @param mqDto
     * @param key
     */
    public void execMqTaskLogic(MqDto mqDto, String key);

    /**
     * websocket超时退出逻辑
     *
     * @param mqDto
     * @param key
     */
    public void execMqWebsocketUnNormalLogic(MqDto mqDto, String key);

    /**
     * 计算客观分逻辑
     *
     * @param mqDto
     * @param key
     */
    public void execMqCalculateObjectiveScoreLogic(MqDto mqDto, String key);

    /**
     * 人脸验证保存
     *
     * @param mqDto
     * @param key
     */
    public void execMqFaceVerifySaveLogic(MqDto mqDto, String key);

    /**
     * 活体验证保存
     *
     * @param mqDto
     * @param key
     */
    public void execMqLivenessVerifySaveLogic(MqDto mqDto, String key);

    /**
     * 考试记录数据持久化
     *
     * @param mqDto
     * @param key
     */
    public void execMqExamRecordPersistedLogic(MqDto mqDto, String key);

    /**
     * 考试记录数据更新
     *
     * @param mqDto
     * @param key
     */
    void execMqRecordUpdateLogic(MqDto mqDto, String key);

    /**
     * 考试记录初始化
     *
     * @param mqDto
     * @param key
     */
    void execMqRecordInitLogic(MqDto mqDto, String key);

    /**
     * 监控通话申请逻辑
     *
     * @param mqDto
     * @param key
     */
    public void execMqLogLogic(MqDto mqDto, String key);

	/**
	 * 重新算分
	 *
	 * @param mqDto
	 * @param key
	 */
	void execMqCalculateScoreLogic(MqDto mqDto, String key);
}
